Cumulative metrics for all social posts tied to profiles in this workspace
curl --request GET \
--url https://api.publishbuddy.com/v1/analytics/workspaces/{workspace} \
--header 'Authorization: <authorization>'import requests
url = "https://api.publishbuddy.com/v1/analytics/workspaces/{workspace}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.publishbuddy.com/v1/analytics/workspaces/{workspace}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"workspace_id": "<string>",
"total": {
"comments": "<string>",
"likes": "<string>",
"shares": "<string>",
"impressions": "<string>",
"quotes": "<string>",
"saves": "<string>",
"engagement_rate": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Analytics
Cumulative metrics for all social posts tied to profiles in this workspace
GET
/
analytics
/
workspaces
/
{workspace}
Cumulative metrics for all social posts tied to profiles in this workspace
Headers
JWT token.
Path Parameters
The workspace UUID
Query Parameters
Filter posts by post type ID.
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 Predefined timeframe value, e.g. last_7_days.
Available options:
last_14_days, last_7_days, last_30_days, last_90_days, prev_month, this_month, this_week, for_all_time Sort field name.
Available options:
social_posts.post_created_at, post_metrics.likes, post_metrics.comments, post_metrics.shares, post_metrics.total_engagement, post_metrics.engagement_rate, post_metrics.reach Sort direction.
Available options:
asc, desc Response
WorkspaceAnalyticsResource
Show child attributes
Show child attributes